-- ----------------------------------------------------------------
-- 9.2 M3 Data Changes for SASAPP 
-- Copyright (c) 2009-2012 by SAS Institute Inc., Cary, NC 27513
-- 
-- Supported DBMS: SAS, DB2, MSSQL, MYSQL, ORACLE, POSTGRES
-- ----------------------------------------------------------------

--
-- Improved indexing
--
create index PROCESS_ACE_TYPE_IX on SAS_WF_PROCESS_ACE (TYPE_NO);
create index PROCESS_IS_LOCKED_IX on SAS_WF_PROCESS (IS_LOCKED_FLG);
create index PROCESS_STATE_IX on SAS_WF_PROCESS (STATE_NO);

insert into SAS_TYPE_OBJECT (TYPE_OBJECT_CD, TYPE_OBJECT_ID) values('webservice', 8);
insert into SAS_TYPE_OBJECT (TYPE_OBJECT_CD, TYPE_OBJECT_ID) values('workflowtask', 9);

insert into SAS_TYPE_ACTION (TYPE_ACTION_CD, TYPE_ACTION_ID) values('Start', 34);
insert into SAS_TYPE_ACTION (TYPE_ACTION_CD, TYPE_ACTION_ID) values('Execute', 35);
insert into SAS_TYPE_ACTION (TYPE_ACTION_CD, TYPE_ACTION_ID) values('Add', 36);
insert into SAS_TYPE_ACTION (TYPE_ACTION_CD, TYPE_ACTION_ID) values('Remove', 37);
insert into SAS_TYPE_ACTION (TYPE_ACTION_CD, TYPE_ACTION_ID) values('Timeout', 38);

update SAS_SCHEMA_INFO set SCHEMA_VERSION_NO=3;