-- ----------------------------------------------------------------
-- SASAPP Schema definition script: Delegation service 
-- Copyright (c) 2010-2011 by SAS Institute Inc., Cary, NC 27513
-- 
-- Supported DBMS: DB2
-- ----------------------------------------------------------------

-- -----------------------------------------------------------------------
-- SAS_DELEGATION                                                          
-- -----------------------------------------------------------------------

CREATE TABLE SAS_DELEGATION
(
   DELEGATION_ID BIGINT GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
   DELEGATE_NAME VARCHAR(128) NOT NULL,
   DELEGATOR_NAME VARCHAR(128) NOT NULL,
   START_DATE BIGINT NOT NULL,
   EXPIRATION_DATE BIGINT NOT NULL,
   DELEGATOR_SUBJECT BLOB(32K) NOT NULL
);
