-- ----------------------------------------------------------------
-- SASAPP Schema definition script: Delegation service 
-- Copyright (c) 2010-2011 by SAS Institute Inc., Cary, NC 27513
-- 
-- Supported DBMS: MSSQL
-- ----------------------------------------------------------------

-- -----------------------------------------------------------------------
-- SAS_DELEGATION                                                          
-- -----------------------------------------------------------------------

create table SAS_DELEGATION
(
   DELEGATION_ID bigint identity(1,1) primary key,
   DELEGATE_NAME varchar(128) not null,
   DELEGATOR_NAME varchar(128) not null,
   START_DATE bigint not null,
   EXPIRATION_DATE bigint not null,
   DELEGATOR_SUBJECT image not null
);
