-- ----------------------------------------------------------------
-- SASAPP Schema definition script: Delegation service 
-- Copyright (c) 2010-2011 by SAS Institute Inc., Cary, NC 27513
-- 
-- Supported DBMS: POSTGRES
-- ----------------------------------------------------------------

-- -----------------------------------------------------------------------
-- SAS_DELEGATION                                                          
-- -----------------------------------------------------------------------

create sequence SAS_DELEGATION_SEQ;

create table SAS_DELEGATION
(
   DELEGATION_ID bigint primary key default nextval('SAS_DELEGATION_SEQ'),
   DELEGATE_NAME varchar(128) not null,
   DELEGATOR_NAME varchar(128) not null,
   START_DATE bigint not null,
   EXPIRATION_DATE bigint not null,
   DELEGATOR_SUBJECT bytea not null
) with (oids=false);
